This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 451288 - tar error message when creating archives
tar error message when creating archives
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tar (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-13 14:24 EDT by Pedro Matiello
Modified: 2008-06-16 19:32 EDT (History)
0 users

See Also:
Fixed In Version: 1.19-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 19:32:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Matiello 2008-06-13 14:24:11 EDT
Description of problem:
tar, as used by file-roller, outputs a error message when creating new files.
Despite that, the created archives seem to be ok.

Version-Release number of selected component (if applicable):
tar-1.19-3.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
1. Create a tar.bz2 or tar.gz file with file-roller.

OR

1. Use the following command at the terminal:
$ tar --force-local --no-recursion --no-wildcards -v -p -C
/PATH/TO/FILE/TO/BE/ADDED -rf PATH/TO/ARCHIVE.tar
  
Actual results:
[pedro@spacelab ~]$ tar --force-local --no-recursion --no-wildcards -v -p -C
Workspace/ -rf Workspace.tar
tar: This does not look like a tar archive
tar: Error exit delayed from previous errors

Expected results:
No error message.

Additional info:
This is a upstream bug in tar. It seems to be already fixed, so updating to the
most recent version of tar should be enough.
Comment 1 Ondrej Vasik 2008-06-16 05:52:56 EDT
Thanks for report. Sorry, but update to tar-1.20 is almost impossible for F9 (as
some patches have to be heavily modified - I did that already for Rawhide
fedora, but it is not something what I would like to do in stable release). Will
try to find out upstream solution and possibly backport the patch to tar-1.19 . 
Comment 2 Pedro Matiello 2008-06-16 07:37:37 EDT
Thanks!
Comment 3 Ondrej Vasik 2008-06-16 07:57:48 EDT
Backported the fix, built as tar-1.19-4.fc9 (rpm available at
http://koji.fedoraproject.org/koji/taskinfo?taskID=663428 ) ... works ok on my
machine. Could you please test it on your machine before I push new tar to stable?
Comment 4 Fedora Update System 2008-06-16 08:08:29 EDT
tar-1.19-4.fc9 has been submitted as an update for Fedora 9
Comment 5 Pedro Matiello 2008-06-16 08:18:47 EDT
Installed the rpm here and it worked fine. No error message.

Thanks. :)
Comment 6 Fedora Update System 2008-06-16 19:32:03 EDT
tar-1.19-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.